import * as $dara from '@darabonba/typescript';
import { LockSnapshotResponseBody } from "./LockSnapshotResponseBody";
export declare class LockSnapshotResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: LockSnapshotResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
